Subscribe
Creates a new webhook subscription. After creation the API sends a verification POST to
your url containing a X-Hook-Ping header. Your endpoint must respond with a matching
X-Hook-Pong header to activate the subscription.
Subscription states
| Status | Description |
|---|---|
pending |
Created, awaiting verification |
active |
Verified and receiving events |
failed_activation |
Verification was rejected |
failed |
Disabled after 3 consecutive delivery failures |
disabled |
Manually disabled or target returned 410 |
Available event topics
Orders: orders, orders.created, orders.created.checkout, orders.updated,
orders.updated.placed, orders.updated.closed, orders.updated.shipped,
orders.updated.cancelled, orders.deleted
Products: products, products.created, products.updated, products.deleted,
products.updated.variants.created, products.updated.variants.updated,
products.updated.variants.deleted, products.updated.assets.created,
products.updated.assets.deleted
/hub/{shop_id}/subscriptionsAuthorizationBearer token (JWT) · headerrequiredOAuth 2.0 Bearer token. Obtain via POST https://auth.onbolder.com/oauth/token.
shop_idintegerrequiredapplication/jsontopicstringrequiredEvent topic to subscribe to, e.g. orders.updated.placed
urlstringrequiredURL to POST event notifications to
notify_originbooleanWhether to notify the originating app
authSubscriptionAuthShow propertiesHide properties
typestringnonebasicusernamestringpasswordstringSubscription created (pending verification)
idintegerstatusstringpendingactivefailed_activationfaileddisabledtopicstringurlstringnotify_originbooleanauthSubscriptionAuthShow propertiesHide properties
typestringnonebasicusernamestringpasswordstringerror_countintegerlast_errorstring | nullcreated_onstring<date-time>updated_onstring<date-time>_linksobjectValidation errors
_classstring[]_embeddedobjectShow propertiesHide properties
errorsobject[]Show propertiesHide properties
object_classstring[]fieldstringmessagesstring[]